unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls,
  SDL_Colsel, SDL_marksel;

type
  TForm1 = class(TForm)
    MarkSel1: TMarkSel;
    BitBtn1: TBitBtn;
    SBarNrCols: TScrollBar;
    Label1: TLabel;
    SBarNoRows: TScrollBar;
    Label2: TLabel;
    RGVisib: TRadioGroup;
    CBoxFrame: TComboBox;
    Label3: TLabel;
    CSelSyFG: TColSel;
    CSelSyBG: TColSel;
    CSelSelFG: TColSel;
    CSelSelBG: TColSel;
    CSelHilFG: TColSel;
    CSelHilBG: TColSel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    procedure MarkSel1MarkDblClick(Sender: TObject; X, Y, Mark: Integer);
    procedure SBarNrColsChange(Sender: TObject);
    procedure SBarNoRowsChange(Sender: TObject);
    procedure RGVisibClick(Sender: TObject);
    procedure CBoxFrameChange(Sender: TObject);
    procedure CSelSyFGChange(Sender: TObject);
    procedure CSelSyBGChange(Sender: TObject);
    procedure CSelSelFGChange(Sender: TObject);
    procedure CSelSelBGChange(Sender: TObject);
    procedure CSelHilFGChange(Sender: TObject);
    procedure CSelHilBGChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  SDL_sdlbase;

var
  MS : TMarkSel;

(******************************************************************************)
procedure TForm1.MarkSel1MarkDblClick(Sender: TObject; X, Y,
  Mark: Integer);
(******************************************************************************)

begin
if Mark = 0
  then BitBtn1.Glyph := nil
  else BitBtn1.Glyph := CreateMarkAsBitmap (Mark, MarkSel1.ColorMarks, ClBtnFace, 2);
end;

(******************************************************************************)
procedure TForm1.SBarNrColsChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.NrOfColumns := SBarNrCols.Position;
end;


(******************************************************************************)
procedure TForm1.SBarNoRowsChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.NrOfRows := SBarNoRows.Position;
end;

(******************************************************************************)
procedure TForm1.RGVisibClick(Sender: TObject);
(******************************************************************************)

var
  i : integer;

begin
case RGVisib.ItemIndex of
  0 : begin
      MarkSel1.ShowAllMarks;
      end;
  1 : begin
      MarkSel1.ShowAllMarks;
      MarkSel1.MarkVisible[1] := false;
      MarkSel1.MarkVisible[4] := false;
      MarkSel1.MarkVisible[7] := false;
      MarkSel1.MarkVisible[13] := false;
      end;
  2 : begin
      MarkSel1.ShowAllMarks;
      for i:=MaxCanvasMarks div 2 to MaxCanvasMarks do
        MarkSel1.MarkVisible[i] := false;
      end;
  3 : begin
      MarkSel1.ShowAllMarks;
      for i:=1 to MaxCanvasMarks div 2 do
        MarkSel1.MarkVisible[i] := false;
      end;
end;
end;

(******************************************************************************)
procedure TForm1.CBoxFrameChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.FrameStyle := TFrameStyle (CBoxFrame.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.CSelSyFGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorMarks := CSelSyFG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelSyBGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorBackGnd := CSelSyBG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelSelFGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorSelFG := CSelSelFG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelSelBGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorSelBG := CSelSelBG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelHilFGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorHiliteSymbol := CSelHilFG.SelColor;
end;

(******************************************************************************)
procedure TForm1.CSelHilBGChange(Sender: TObject);
(******************************************************************************)

begin
MarkSel1.ColorHiliteBG := CSelHilBG.SelColor;
end;

end.
